Subject: Re: [net-next PATCH] page_pool: do not release pool until inflight == 0.

From: Jesper Dangaard Brouer <[email-masked]>
Date: Wed, 13 Nov 2019 17:37:12 +0100

On Wed, 13 Nov 2019 11:08:23 +0100
Jesper Dangaard Brouer <[email-masked]> wrote:

> The basic idea is to use these tracepoints to detect if we leak
> DMA-mappings. I'll try write the bpftrace script today, and
> see it I can live without the counter.

Didn't finish, here is how far I got:
 https://github.com/xdp-project/xdp-project/blob/master/areas/mem/bpftrace/page_pool_track_leaks01.bt

In the end of the bpftrace script, I needed to iterate over a map,
which I don't think bpftrace supports (Brendan) ?

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer